package org.switchyard.workshop.lab2;

import javax.inject.Named;

import org.apache.camel.Exchange;
import org.apache.camel.Header;

@Named("routeCar")
public class CarRouter {

	public String route(Car car, @Header(Exchange.SLIP_ENDPOINT) String lastEndpoint) {
		if (lastEndpoint != null) {
			// we have routed this message before - nothing left to do
			return null;
		}
		
		if (car.isDamaged()) {
			// Route to the CarRepair service
			return "switchyard://CarRepair?namespace=urn:switchyard:application:lab2";
		} else {
			// Route to the CarReturn service
			return "switchyard://CarReturn?namespace=urn:switchyard:application:lab2";
		}
	}
	
}
