package org.switchyard.workshop.lab2;

public class Car {
	
	public enum Classification {
		COMPACT,
		MIDSIZE,
		FULL,
		SPORT
	};

	private String model;
	private String vehicleId;
	private int mileage;
	private Classification classification;
	private boolean damaged;
	
	
	public String getModel() {
		return model;
	}
	
	public Car setModel(String model) {
		this.model = model;
		return this;
	}
	
	public Classification getClassification() {
		return classification;
	}
	
	public Car setClassification(Classification classification) {
		this.classification = classification;
		return this;
	}
	
	public int getMileage() {
		return mileage;
	}
	
	public Car setMileage(int mileage) {
		this.mileage = mileage;
		return this;
	}
	
	public boolean isDamaged() {
		return damaged;
	}
	
	public Car setDamaged(boolean damaged) {
		this.damaged = damaged;
		return this;
	}

	public String getVehicleId() {
		return vehicleId;
	}

	public Car setVehicleId(String vehicleId) {
		this.vehicleId = vehicleId;
		return this;
	}
}
